Developers
API ReferenceTicket Blacklist

Creates a TicketBlacklist resource

POST
/ticket/ticket-blacklists

Creates a TicketBlacklist resource

Authorization

apiKey
headerAuthorization<token>

Value for the Authorization header parameter.

Request Body

The new TicketBlacklist resource

  1. body
type*string
Value in"domain""email-address"
value*string
Lengthlength <= 320

Response Body

TicketBlacklist resource created

  1. response
id?string
Formatuuid
type?string
Value in"domain""email-address"
value?string
Lengthlength <= 320
createdBy?|null
Example Request
curl -X POST 'https://app.icproject.com/api/instance/demo/ticket/ticket-blacklists' \  -H 'Content-Type: application/json' \  -d '{  "type": "domain",  "value": "string"}'
Example Response
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "type": "domain",  "value": "string",  "createdBy": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "firstName": "string",    "lastName": "string",    "email": "string",    "pictureSm": "string",    "contractorName": "string",    "jobPositionName": "string"  }}